> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List VLAN assignments

> Returns a list of all servers assigned to virtual networks.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /virtual_networks/assignments
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /virtual_networks/assignments:
    get:
      tags:
        - Private Networks
      summary: List VLAN assignments
      description: |
        Returns a list of all servers assigned to virtual networks.
      operationId: get-virtual-networks-assignments
      parameters:
        - name: filter[server]
          in: query
          required: false
          description: The server ID to filter by
          schema:
            type: string
        - name: filter[vid]
          in: query
          required: false
          description: The vlan ID to filter by
          schema:
            type: string
        - name: filter[virtual_network_id]
          in: query
          required: false
          description: The virtual network ID to filter by
          schema:
            type: string
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: vnasg_6VE1Wd37dXnZJ
                        type: virtual_network_assignment
                        attributes:
                          virtual_network_id: vlan_7vYAZqGBdMQ94
                          vid: 1
                          description: West Inc
                          status: connected
                          server:
                            id: sv_GnzRD5BYOM5yw
                            hostname: db
                            label: BRC01
                            locked: false
                            status: unknown
                      - id: vnasg_VaNmodjeObE8W
                        type: virtual_network_assignment
                        attributes:
                          virtual_network_id: vlan_r0MK4O4kDa95w
                          vid: 2
                          description: Reynolds-Steuber
                          status: connecting
                          server:
                            id: sv_KXgRdRLKDv9k5
                            hostname: api
                            label: BRC02
                            locked: false
                            status: unknown
                    meta: {}
              schema:
                $ref: '#/components/schemas/virtual_network_assignments'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.private_networks.list_assignments(filter_server="217", filter_vid="8", page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.PrivateNetworks.ListAssignments(ctx, operations.GetVirtualNetworksAssignmentsRequest{\n        FilterServer: latitudeshgosdk.Pointer(\"217\"),\n        FilterVid: latitudeshgosdk.Pointer(\"8\"),\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VirtualNetworkAssignments != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.privateNetworks.listAssignments({});

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    virtual_network_assignments:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/virtual_network_assignment_data'
        meta:
          type: object
    virtual_network_assignment_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - virtual_network_assignment
        attributes:
          type: object
          properties:
            virtual_network_id:
              type: string
            vid:
              type: integer
            description:
              type: string
            status:
              type: string
            server:
              type: object
              properties:
                id:
                  type: string
                hostname:
                  type: string
                label:
                  type: string
                locked:
                  type: boolean
                status:
                  type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````